'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.transformIdentifiers = transformIdentifiers;

var _esquery = require('esquery');

var _esquery2 = _interopRequireDefault(_esquery);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformIdentifiers(file, oldName, newName, context) {
    var query = 'Identifier[name="' + oldName + '"]';

    if (context) {
        query = context + ' > ' + query;
    }

    (0, _esquery2.default)(file.ast, query).forEach(function (identifier) {
        return identifier.name = newName;
    });
} // Dependencies: