"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

exports.transformMetadata = transformMetadata;
function transformMetadata(file, oldName, newName, type) {
    var comments = file.ast.comments;

    if (!comments) {
        return;
    }

    var _comments = _slicedToArray(comments, 1),
        comment = _comments[0];

    if (!comment) {
        return;
    }

    var metaData = JSON.parse(comment.value);
    var item = metaData;
    if (type) {
        item = item[type].find(function (item) {
            return item.name === oldName;
        });
    }
    item.name = newName;
    comment.value = JSON.stringify(metaData);
}