'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.transformReferenceIdentifiers = transformReferenceIdentifiers;

var _transformIdentifiers = require('./transform-identifiers');

var _tractorFileStructure = require('tractor-file-structure');

var _tractorFileStructure2 = _interopRequireDefault(_tractorFileStructure);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Dependencies:
function transformReferenceIdentifiers(file, oldName, newName) {
    var referencePaths = _tractorFileStructure2.default.fileStructure.references[file.path] || [];
    referencePaths.forEach(function (referencePath) {
        var reference = _tractorFileStructure2.default.fileStructure.allFilesByPath[referencePath];
        return (0, _transformIdentifiers.transformIdentifiers)(reference, oldName, newName);
    });
}