'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.transformReferences = transformReferences;

var _tractorFileStructure = require('tractor-file-structure');

var _tractorFileStructure2 = _interopRequireDefault(_tractorFileStructure);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformReferences(transformer) {
    return function (file) {
        for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
            args[_key - 1] = arguments[_key];
        }

        var referencePaths = _tractorFileStructure2.default.fileStructure.references[file.path] || [];
        referencePaths.forEach(function (referencePath) {
            var reference = _tractorFileStructure2.default.fileStructure.allFilesByPath[referencePath];
            return transformer.apply(undefined, [reference].concat(args));
        });
    };
} // Dependencies: